/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package vypocetObalky;

import draw.circleDialog.CircleDialog;
import draw.circleDialog.shapes.Line;
import draw.circleDialog.shapes.Point;
import java.awt.Color;
import java.util.ArrayList;
import javax.swing.JDialog;

/**
 *
 * @author Filip Dvorak
 */
public class Vykresleni {

    public static void VykresliGraf(ArrayList<Primka> polePrimekSpodnich, ArrayList<Souradnice> grafSpodni) {

        try {
            CircleDialog dialog = new CircleDialog();
            dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
            dialog.setVisible(true);
            
            for (Souradnice souradnice : grafSpodni) {
               dialog.addPoint(new Point(souradnice.getSouradniceX().intValue() ,souradnice.getSouradniceY().intValue(), Color.red)); 
                        
            }
         
            for (Primka aktualniPrimka : polePrimekSpodnich) {
                dialog.addLine(new Line(aktualniPrimka.getA().getSouradniceX().intValue(),aktualniPrimka.getA().getSouradniceY().intValue(), aktualniPrimka.getB().getSouradniceX().intValue(),aktualniPrimka.getB().getSouradniceY().intValue(), Color.green));
            }
  
        } catch (Exception e) {
            Log.zapisDoLogu(e);
        }

    }
}
